package training.rmi.hello;

import java.rmi.Remote; 
import java.rmi.RemoteException; 

public interface Hello extends Remote { 

    public static final int EN=0;	// English
    public static final int FR=1;	// French
    public static final int ES=2;	// Spanish
    
    String sayHello() throws RemoteException;
    String sayHello(String name) throws RemoteException;
    String sayHello(String name, int lang) throws RemoteException;
}
