package training.rmi.hello; 

import java.rmi.Naming; 
import java.rmi.RemoteException; 

public class HelloClient  { 

    static public void main(String args[]) { 
    	String message = "blank"; 
  
    	Hello obj = null; 
    	try { 
	    obj = (Hello)Naming.lookup("//" + args[0] + ":" + args[1] + "/HelloServer"); 
	    message = obj.sayHello(); 
	    System.err.println(message);

	    message = obj.sayHello(args[2]); 
	    System.err.println(message);
	    
	    message = obj.sayHello(args[1], Integer.parseInt(args[3])); 
	    System.err.println(message);	    
	      
	} catch (Exception e) { 
	    System.out.println("HelloClient exception: " + 
				    e.getMessage()); 
	    e.printStackTrace(); 
	} 
    } 

}
